import { EventEmitter } from '../../../stencil-public-runtime';
import JustifiAnalytics from '../../../api/Analytics';
import { ComponentErrorEvent } from '../../../api/ComponentEvents';
export declare class JustifiSeasonInterruptionInsurance {
    authToken?: string;
    checkoutId?: string;
    primaryIdentityFirstName: string;
    primaryIdentityLastName: string;
    primaryIdentityState: string;
    primaryIdentityPostalCode: string;
    primaryIdentityCountry: string;
    primaryIdentityEmailAddress: string;
    policyAttributesInsurableAmount: number;
    policyAttributesStartDate?: string;
    policyAttributesEndDate?: string;
    coveredIdentityFirstName?: string;
    coveredIdentityLastName?: string;
    getQuote: Function;
    toggleCoverage: Function;
    quote: any;
    isLoading: boolean;
    accepted: string | undefined;
    insuranceUpdated: EventEmitter;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    analytics: JustifiAnalytics;
    validate(): Promise<{
        isValid: boolean;
    }>;
    processHTMLContent(html: string): any;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    private initializeServiceMethods;
    fetchData(): void;
    onChangeHandler(_name: string, value: string): void;
    get error(): any;
    render(): any;
}
